<?php

declare(strict_types=1);

namespace Drupal\search_api_typesense_ai;

use Drupal\Component\Plugin\PluginBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\search_api_typesense\Entity\TypesenseSchema;

/**
 * Base class for embedding_model plugins.
 */
abstract class EmbeddingModelPluginBase extends PluginBase implements EmbeddingModelInterface {

  /**
   * {@inheritdoc}
   */
  public function label(): string {
    return (string) $this->pluginDefinition['label'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildConfiguration(TypesenseSchema $schema): array {
    return [
      'model_name' => $this->pluginDefinition['name'],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function isRemote(): bool {
    return (bool) $this->pluginDefinition['remote'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(
    array $form,
    FormStateInterface $form_state,
    TypesenseSchema $schema,
  ): array {
    return [];
  }

}
