<?php

declare(strict_types=1);

namespace Drupal\search_api_typesense_ai;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\search_api_typesense_ai\Attribute\EmbeddingModel;

/**
 * EmbeddingModel plugin manager.
 */
final class EmbeddingModelPluginManager extends DefaultPluginManager {

  /**
   * Constructs the object.
   */
  public function __construct(
    \Traversable $namespaces,
    CacheBackendInterface $cache_backend,
    ModuleHandlerInterface $module_handler,
  ) {
    parent::__construct('Plugin/search_api_typesense_ai/EmbeddingModel',
      $namespaces, $module_handler, EmbeddingModelInterface::class,
      EmbeddingModel::class);
    $this->alterInfo('embedding_model_info');
    $this->setCacheBackend($cache_backend, 'embedding_model_plugins');
  }

}
