<?php

declare(strict_types=1);

namespace Drupal\search_api_typesense_ai\Plugin\search_api_typesense_ai\EmbeddingModel;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\search_api_typesense_ai\Attribute\EmbeddingModel;
use Drupal\search_api_typesense_ai\EmbeddingModelPluginBase;

/**
 * Describe the all-MiniLM-L12-v2 embedding model.
 */
#[EmbeddingModel(
  id         : 'all-MiniLM-L12-v2',
  name       : 'ts/all-MiniLM-L12-v2',
  remote     : FALSE,
  label      : new TranslatableMarkup('Local: all-MiniLM-L12-v2'),
  description: new TranslatableMarkup('Sentence-transformers model that maps sentences & paragraphs to vector space and can be used for tasks like clustering or semantic search.'),
)]
final class MiniLM extends EmbeddingModelPluginBase {

}
