<?php

declare(strict_types=1);

namespace Drupal\search_api_typesense_ai\Plugin\search_api_typesense_ai\EmbeddingModel;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\search_api_typesense_ai\Attribute\EmbeddingModel;

/**
 * Describe the OpenAI text-embedding-3-small embedding model.
 */
#[EmbeddingModel(
  id         : 'openai_text-embedding-3-small',
  name       : 'openai/text-embedding-3-small',
  remote     : FALSE,
  label      : new TranslatableMarkup('OpenAI: text-embedding-3-small'),
  description: new TranslatableMarkup('Version 3 of the OpenAI embedding model. Small version'),
)]
final class OpenAI3Small extends OpenAI3Base {

}
